# libpysal.cg.is_collinear

libpysal.cg.is_collinear(p1, p2, p3)

  Returns whether a triplet of points is collinear.

  Parameters:
    p1 `libpysal.cg.Point`

      A point.

    p2 `libpysal.cg.Point`

      A point.

    p3 `libpysal.cg.Point`

      A point.

  Returns:
    collinear bool

      `True` if `{p1, p2, p3}` are collinear, otherwise `False`.

  Examples

      >>> is_collinear(Point((0, 0)), Point((1, 1)), Point((5, 5)))
      True

      >>> is_collinear(Point((0, 0)), Point((1, 1)), Point((5, 0)))
      False